Support » Plugin: Page Tag Cloud » Plugin will not activate because of an parsing error

  • Resolved mtphoto

    (@mtphoto)


    When trying to activate the plugin, this error message displays:

    Parse error: syntax error, unexpected T_FUNCTION, expecting ‘)’ in /plugins/page-tag-cloud/widget.php on line 59.

    What could be causing this problem? Your plugin appears to be the only plugin available that creates a page tag cloud ,so we would love to get it working.

    Thanks!

    http://wordpress.org/extend/plugins/page-tag-cloud/

Viewing 10 replies - 1 through 10 (of 10 total)
  • Plugin Author Barry Kooij

    (@barrykooij)

    Dear mtphoto,

    Do you know what PHP version you are using?

    Barry

    Same trouble for me… I’ve seen and note that sometimes we have to force usage of php version and have done it one time on a another wordpress site.

    I will try this way and let you know.

    What version should we use by the way ?

    Thanks Barry for support !

    Here is the way to “force” php version :

    – create a ” .htaccess.txt ” file
    – edit it and insert the line

    SetEnv PHP_VER 5

    – Save the file and rename it ” .htaccess “
    – upload it to root of the site

    I can’t say right now if this THE solution for making Barry’s extension working (not tested at this time) but I have solved similar issues with it.

    Hope it will help ! 🙂

    Note : I’m using PHP 5 and so having the same issue at this time

    Plugin Author Barry Kooij

    (@barrykooij)

    Hi aksakhirn,

    Thanks for reporting the issue. At the moment the plugin is using a function that requires PHP version 5.3.0

    I am working on an update to fix this issue and I’m planning on releasing it today.

    I’ll give you a heads up in this thread when the update is available.

    Barry

    Hi Barry,

    You’re welcome for the report 🙂

    As I just edit my post I’m using PHP 5… but not sure that the method I gave could be more precise on the version nor that the hosting provider is using latest php version…

    Thanks for your help again, good luck with the hard job !

    Plugin Author Barry Kooij

    (@barrykooij)

    New version 2.0.0 is available for download now, this should solve this problem.

    Sounds great !! Thank you Barry, I will try it in a few minutes and will tell you if it is ok ! 🙂

    Tested and… it works !! Installation is ok !!!

    Well done and Much Thanks Barry you rock !!!!

    Plugin Author Barry Kooij

    (@barrykooij)

    Great! Marking topic as solved!

    Yes you can !! xD 😉

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘Plugin will not activate because of an parsing error’ is closed to new replies.